{ config, lib, pkgs, ... }:
{
  services.headphones = {
    enable = true;
    host = "0.0.0.0";
    port = 8181;
    package = "${pkgs.unstable.headphones}";
    user = "headphones";
    group = "audio";
    dataDir = "/data/music";
  };
  services.nginx.virtualHosts."headphones.mossnet.lan" = {
    enableACME = false;
    forceSSL = false;

    locations."/" = {
      extraConfig = ''
        proxy_pass http://127.0.0.1:8181/;
      '';
    };
  };
}
