{ pkgs, ... }:

{
  # k3s
  networking.firewall.allowedTCPPorts = [ 6443 ];
  services.k3s.enable = true;
  services.k3s.role = "server";
  services.k3s.clusterInit = false;
  # services.k3s.extraFlags = toString [
  #   "--kubelet-arg=v=4" # Optionally add additional args to k3s
  # ];
  environment.systemPackages = [ pkgs.k3s pkgs.kubernetes-helm pkgs.kubectl ];

  # minikube on docker
  virtualisation.docker.enable = true;
  virtualisation.docker.storageDriver = "btrfs";
  # or use kvm
  # virtualisation.libvirtd.enable = true;
  users.users.anish.extraGroups = [ "docker" "libvert" ]; # 
}
