{ config, pkgs, ... }:
{
  environment.systemPackages = [
    (pkgs.writeScriptBin "upgrade-pg-cluster" ''
      set -eux
      # TODO it's perhaps advisable to stop all services that depend on postgresql
      systemctl stop postgresql

      # The schema can be found by running:
      # nix eval --raw nixpkgs#postgresql_15.psqlSchema
      export NEWDATA="/var/lib/postgresql/15"

      # TODO specify the postgresql package you'd like to upgrade to
      export NEWBIN="${pkgs.postgresql_15}/bin"

      export OLDDATA="${config.services.postgresql.dataDir}"
      export OLDBIN="${config.services.postgresql.package}/bin"

      install -d -m 0700 -o postgres -g postgres "$NEWDATA"
      cd "$NEWDATA"
      sudo -u postgres $NEWBIN/initdb -D "$NEWDATA"

      sudo -u postgres $NEWBIN/pg_upgrade \
        --old-datadir "$OLDDATA" --new-datadir "$NEWDATA" \
        --old-bindir $OLDBIN --new-bindir $NEWBIN \
        "$@"
    '')
  ];
}

