{ lib, stdenv, fetchurl, fetchpatch }:

let
  pname = "ulogger-server";
  version = "1.1";
in
stdenv.mkDerivation {
  inherit pname version;

  # Release tarball includes vendored files
  src = fetchurl {
    url = "https://github.com/bfabiszewski/ulogger-server/archive/refs/tags/v${version}.tar.gz";
    hash = "sha256-+ZyNA5+lhD6DKXIWNdlLA7ArtV1F61H3UmMyRVRdws0=";
  };

  dontBuild = true;

  installPhase = ''
    runHook preInstall
    rm -R .docker
    rm -R .tests
    rm -R uploads/
    mkdir $out
    cp -R * $out/
    runHook postInstall
  '';
}
